Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Class AFPImageHandlerRegistry

    java.lang.Object
      org.apache.fop.render.AbstractImageHandlerRegistry
          org.apache.fop.render.afp.AFPImageHandlerRegistry

public class AFPImageHandlerRegistry
extends AbstractImageHandlerRegistry

This class holds references to various image handlers used by the AFP renderer. It also supports automatic discovery of additional handlers available through the class path.

Constructor Summary
`AFPImageHandlerRegistry()` Main constructor

Method Summary
`java.lang.Class` | `getHandlerClass()` Returns the ImageHandler implementing class

Methods inherited from class org.apache.fop.render.AbstractImageHandlerRegistry
`addHandler, addHandler, getHandler, getHandler, getHandlerComparator, getSupportedFlavors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPImageHandlerRegistry

    public AFPImageHandlerRegistry()

  Main constructor

Method Detail

### getHandlerClass

    public java.lang.Class getHandlerClass()

  Returns the ImageHandler implementing class

  Specified by:
    `getHandlerClass` in class `AbstractImageHandlerRegistry`
  Returns:
    the ImageHandler implementing class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.